/**
import vega from 'vega';
import vegaLite from 'vega-lite';
import vl from 'vega-lite-api';
import { Handler } from 'vega-tooltip';
import { config } from './config';
import { getData } from './getData';
import { viz } from './CarMakerFinishes/viz';
*/
import { useRef, useEffect } from 'react';
export const CarMakerFinishes = () => {
  const ref = useRef();

  useEffect(() => {
    /**
vl.register(vega, vegaLite, {
  view: { renderer: 'svg' },
  init: view => { view.tooltip(new Handler().call); }
});

const run = async () => {
  const marks = viz
    .title({text:'NASCAR Car Maker Finishes', 
            fontSize: 32,
            color: '#635F5D'})
    .data(await getData())
    .width(window.innerWidth)
    .height(window.innerHeight)
    .autosize({ type: 'fit', contains: 'padding' })
    .config(config);
  
  document.body.appendChild(await marks.render());
};
run();
*/
    ref.current;
  }, []);
  
  return <div className="car-maker-finishes" ref={ref} />;
};
