/**
import vega from 'vega';
import vegaLite from 'vega-lite';
import vl from 'vega-lite-api';
import { Handler } from 'vega-tooltip';
import { config } from './config';
import { getData } from './getData';
import { viz } from './viz'; // make sure it refers to this viz file
*/
import { useRef, useEffect } from 'react';
export const Map = () => {
  const ref = useRef();

  useEffect(() => {
    // Manipulate the DOM...

/**
vl.register(vega, vegaLite, {
  view: { renderer: 'svg' },
  init: view => { view.tooltip(new Handler().call); }
});

const run = async () => {
  const marks = viz
  	.title({text:'NASCAR Track Map', 
            fontSize: 32,
            color: '#635F5D'})
    .data(await getData())
    .width(window.innerWidth)
    .height(window.innerHeight)
    .autosize({ type: 'fit', contains: 'padding' })
    .config(config);
  
  console.log(viz);
  
  document.body.appendChild(await marks.render());
};
run();
*/
    //ref.current
  }, []);

  return <div className="map" ref={ref} />;
};
