import React, { useState, useEffect } from 'react';
import { csv } from 'd3';
const csvUrl =
  'https://gist.githubusercontent.com/rgjohnson98/44a837f98523fdb8c229022404a9c053/raw/b4fb300bd0d4bfa777287ffb8cfe017de24a1888/winners.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
      d.Year = new Date(d.Year);
      d.Start = +d.Start;
			d.Payout = +d.Payout;
			d['Caution Flags'] = +d['Caution Flags'];
			d['Lead Changes'] = +d['Lead Changes'];
			d['Winning Time'] = +d['Winning Time'];
			d.Driver = d.Driver;      

      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
